Skip to main content
POST
/
controls
/
{controlId}
/
add-document-to-control
Add control to document mapping
curl --request POST \
  --url https://api.vanta.com/v1/controls/{controlId}/add-document-to-control \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentId": "<string>"
}
'
{
  "control": {
    "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
    "externalId": "CRY-104",
    "name": "Data encryption utilized",
    "description": "Access reviews are performed to ensure that access is appropriate for the user's role and responsibilities.",
    "source": "Vanta",
    "domains": [
      "CRYPTOGRAPHIC_PROTECTIONS"
    ],
    "owner": {
      "id": "65e1efde08e8478f143a8ff9",
      "emailAddress": "example-person@email.com",
      "displayName": "Example Owner"
    },
    "role": "CONTROLLER",
    "customFields": [
      {
        "label": "Additional context",
        "value": "This control is critical for GDPR compliance"
      }
    ],
    "creationDate": null,
    "modificationDate": null
  },
  "document": {
    "id": "1",
    "ownerId": "2",
    "category": "Account setup",
    "description": "Provide two examples of a recent access request and approval ",
    "isSensitive": false,
    "title": "Document Title",
    "uploadStatus": "Needs document",
    "uploadStatusDate": "2024-03-17T00:00:00.000Z",
    "url": "https://example.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

controlId
string
required

Body

application/json
documentId
string
required

The ID of the document to add to the control.

Response

200 - application/json

Ok

document
object
required
control
object
required